Package com.sap.ai.sdk.orchestration.model

# Enum Class DPIMethodConstant.MethodEnum

java.lang.Object
java.lang.Enum<DPIMethodConstant.MethodEnum>
com.sap.ai.sdk.orchestration.model.DPIMethodConstant.MethodEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<DPIMethodConstant.MethodEnum>`, `Constable`

Enclosing class:
  `DPIMethodConstant`

public static enum DPIMethodConstant.MethodEnum extends Enum<DPIMethodConstant.MethodEnum>
Gets or Sets method

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONSTANT`
  The CONSTANT option of this DPIMethodConstant
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this DPIMethodConstant

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DPIMethodConstant.MethodEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static DPIMethodConstant.MethodEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DPIMethodConstant.MethodEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONSTANT

    public static final DPIMethodConstant.MethodEnum CONSTANT
    The CONSTANT option of this DPIMethodConstant

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final DPIMethodConstant.MethodEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this DPIMethodConstant

- ## Method Details

  - ### values

    public static DPIMethodConstant.MethodEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DPIMethodConstant.MethodEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<DPIMethodConstant.MethodEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static DPIMethodConstant.MethodEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type DPIMethodConstant